
/**
 * @file ContainerControlRC.h
 * @brief Declaration of class ContainerControlRC
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _CONTAINERCONTROLRC_H
#define _CONTAINERCONTROLRC_H

#include <map>
#include <string>

#include "SimpleContainer.h"
#include "ControlRC.h"

class ContainerControlRC : public SimpleContainer
{
  public:
    ContainerControlRC(ControlRC*,
                       int hborder = 16,
                       int border = 2,
                       int w = -1,
                       int h = -1,
                       teAlignment wa = CENTER,
                       teAlignment ha = CENTER);
    virtual ~ContainerControlRC();

    void adjust(int, int, int, int);

    void accept(Visitor *v) { v->visit(this); }

    unsigned int getMinHeight();

    Sizeable *getControl() { return _ctrl; }
    int getHBorder() { return _hborder; }

  protected:
    ControlRC *_ctrl;
    int _hborder;
};

#endif /* _CONTAINERCONTROLRC_H */
