
/**
 * @file ContainerControlRuntime.cpp
 * @brief Implementation of class ContainerControlRuntime
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#include "ContainerControlRuntime.h"
#include "ControlRuntime.h"

ContainerControlRuntime::ContainerControlRuntime(ControlRuntime *box,
                                                 int hborder,
                                                 int border,
                                                 int w,
                                                 int h,
                                                 teAlignment wa,
                                                 teAlignment ha)
    : SimpleContainer(border, w, h, wa, ha),
      _box(box),
      _hborder(hborder)
{
}

ContainerControlRuntime::~ContainerControlRuntime()
{
    delete _box;
}

void ContainerControlRuntime::adjust(int x, int y, int w, int h)
{
    SimpleContainer::adjust(x, y + _hborder, w, h - _hborder);
    _box->adjust(x, y, w, h);
}

unsigned int ContainerControlRuntime::getMinHeight()
{
    return SimpleContainer::getMinHeight() + _hborder;
}

static const char* _rcsid_ContainerControlRuntime __attribute__((unused)) = "$Id$";
