
/**
 * @file ControlRC.h
 * @brief Declaration of class ControlRC
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _CONTROLRC_H
#define _CONTROLRC_H

#include <map>
#include <string>
#include <iostream>

#include "Sizeable.h"

class ControlRC : public Sizeable
{
  public:
    ControlRC(std::ostream&,
              const std::string&,
              const std::map<std::string, std::string>&) throw (std::string);
    virtual ~ControlRC();

    void setText(const std::string&);

    void adjust(int, int, int, int);

    static bool findInt(const std::map<std::string, std::string>&,
                        const std::string&,
                        int&);
    static bool findString(const std::map<std::string, std::string>&,
                           const std::string&,
                           std::string&);

    void accept(Visitor *v) { v->visit(this); }

    std::string getID() { return _id; }

  private:
    std::ostream& _str;
    std::string _text;
    std::string _id;
    std::string _style;
    std::string _class;

    static std::map<std::string, std::pair<std::string, std::string> > _classes;
    static void _initClasses();
};

#endif /* _CONTROLRC_H */
