
/**
 * @file DialogRC.cpp
 * @brief Implementation of class DialogRC
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#include "DialogRC.h"

using namespace std;

DialogRC::DialogRC(ostream& str,
                   const string& name,
                   int w,
                   int h)
    : SimpleContainer(0, w, h),
      _str(str),
      _name(name),
      _fontSize(0)
{
}

DialogRC::~DialogRC()
{
}

void DialogRC::resize()
{
    int w = _w;
    int h = _h;

    if (!_child)
    {
       clog << "Warning: dialog without child!" << endl;
    }
    else
    {
       if (w<0)
       {
          w = _child->getMinWidth();
       }

       if (h<0)
       {
          h = _child->getMinHeight();
       }
    }

    _str << endl;
    _str << _name << " DIALOG DISCARDABLE ";
    _str << "20, 20, " << w << ", " << h << endl;
    if (_style != "")
    {
       _str << "STYLE " << _style << endl;
    }
    if (_font != "")
    {
       _str << "FONT " << _fontSize << ", \"" << _font << "\"" << endl;
    }
    if (_caption != "")
    {
       _str << "CAPTION \"" << _caption << "\"" << endl;
    }
    _str << "BEGIN" << endl;
    adjust(0, 0, w, h);
    _str << "END" << endl;
}

void DialogRC::setStyle(const string& s)
{
    _style = s;
}

void DialogRC::setCaption(const string& s)
{
    _caption = s;
}

void DialogRC::setFont(const string& s)
{
    _font = s;
}

void DialogRC::setFontSize(int s)
{
    _fontSize = s;
}

static const char* _rcsid_DialogRC __attribute__((unused)) = "$Id$";
