
/**
 * @file DialogRC.h
 * @brief Declaration of class DialogRC
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _DIALOGRC_H
#define _DIALOGRC_H

#include <iostream>
#include <string>

#include "SimpleContainer.h"

class DialogRC : public SimpleContainer
{
  public:
    DialogRC(std::ostream&,
             const std::string&,
             int = -1,
             int = -1);
    virtual ~DialogRC();

    void resize();

    void setStyle(const std::string&);
    void setCaption(const std::string&);
    void setFont(const std::string&);
    void setFontSize(int);

    void accept(Visitor *v) { v->visit(this); }

    std::string getName() { return _name; }

  private:
    std::ostream& _str;
    std::string _name;
    std::string _style;
    std::string _caption;
    std::string _font;
    int _fontSize;
};

#endif /* _DIALOGRC_H */
