
/**
 * @file MenuItem.cpp
 * @brief Implementation of class MenuItem
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#include "MenuItem.h"

using namespace std;

MenuItem::MenuItem(const char *text)
    : _text(text)
{
}

MenuItem::~MenuItem()
{
}

const char* MenuItem::getText()
{
    return _text.c_str();
}

const char* MenuItem::getID()
{
    return _id.c_str();
}

void MenuItem::setID(const char *s)
{
    _id = s;
}

void MenuItem::addChild(MenuItem *i)
{
    _children.push_back(i);
}

int MenuItem::nChildren()
{
    return _children.size();
}

list<MenuItem*> MenuItem::getChildren()
{
    return _children;
}

void MenuItem::dumpChildren(ostream& str, int ind)
{
    for (int k = 0; k<ind; ++k) str << "   ";

    if (_children.size())
    {
       str << "POPUP \"" << _text << "\"" << endl;
       for (int k = 0; k<ind; ++k) str << "   ";
       str << "BEGIN" << endl;
       for (list<MenuItem*>::iterator k = _children.begin();
            k != _children.end();
            ++k)
       {
          (*k)->dumpChildren(str, ind+1);
       }
       for (int k = 0; k<ind; ++k) str << "   ";
       str << "END" << endl;
    }
    else
    {
       str << "MENUITEM \"" << _text << "\", " << _id << endl;
    }
}

static const char* _rcsid_MenuItem __attribute__((unused)) = "$Id$";
