
/**
 * @file MenuItem.h
 * @brief Declaration of class MenuItem
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _MENUITEM_H
#define _MENUITEM_H

#include <string>
#include <list>
#include <iostream>

#include "Visited.h"

class MenuItem : public Visited
{
  public:
    MenuItem(const char*);
    virtual ~MenuItem();

    const char* getText();
    const char* getID();

    void setID(const char*);

    void addChild(MenuItem*);
    int nChildren();
    std::list<MenuItem*> getChildren();

    void dumpChildren(std::ostream&, int);

  protected:
    std::string _text;
    std::string _id;
    std::list<MenuItem*> _children;
};

#endif /* _MENUITEM_H */
