
/**
 * @file SimpleContainer.cpp
 * @brief Implementation of class SimpleContainer
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#include "SimpleContainer.h"

#include <iostream>

using namespace std;

SimpleContainer::SimpleContainer(int border,
                                 int w,
                                 int h,
                                 teAlignment wa,
                                 teAlignment ha)
    : Container(border, w, h, wa, ha),
      _child(NULL)
{
}

SimpleContainer::~SimpleContainer()
{
    delete _child;
}

unsigned int SimpleContainer::getMinWidth()
{
    unsigned int mw = _border * 2;

    if (_child)
    {
       mw += _child->getMinWidth();
    }

    return mw;
}

unsigned int SimpleContainer::getMinHeight()
{
    int mh = _border * 2;

    if (_child)
    {
       mh += _child->getMinHeight();
    }

    return mh;
}

void SimpleContainer::addChild(Sizeable *s)
{
    if (_child)
    {
       clog << "Warning: adding a child to a non-empty SimpleContainer" << endl;
    }

    _child = s;
}

void SimpleContainer::adjust(int x, int y, int w, int h)
{
    _compute(HORIZONTAL, x, w);
    _compute(VERTICAL, y, h);

    if (_child)
    {
       _child->adjust(x + _border,
                      y + _border,
                      w - 2 * _border,
                      h - 2 * _border);
    }
}

static const char* _rcsid_SimpleContainer __attribute__((unused)) = "$Id$";
