
/**
 * @file SimpleContainer.h
 * @brief Declaration of class SimpleContainer
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _SIMPLECONTAINER_H
#define _SIMPLECONTAINER_H

#include <xmlrc\Container.h>

class SimpleContainer : public Container
{
  public:
    SimpleContainer(int border = 2,
                    int w = -1,
                    int h = -1,
                    teAlignment wa = CENTER,
                    teAlignment ha = CENTER);
    virtual ~SimpleContainer();

    unsigned int getMinWidth();
    unsigned int getMinHeight();

    void addChild(Sizeable*);

    void adjust(int, int, int, int);

    void accept(Visitor *v) { v->visit(this); }

    Sizeable *getChild() { return _child; }

  protected:
    Sizeable *_child;
};

#endif /* _SIMPLECONTAINER_H */
