
/**
 * @file Sizeable.h
 * @brief Declaration of class Sizeable
 */

/**********************************************************************

  Created: 03 nov. 2002

    Copyright (C) 2002 @SAURON

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA

**********************************************************************/
// $Id$

#ifndef _SIZEABLE_H
#define _SIZEABLE_H

#include <xmlrc\Visited.h>

class Sizeable : public Visited
{
  public:
    typedef enum
       {
          TOPLEFT,
          BOTTOMRIGHT,
          CENTER
       }
    teAlignment;

    typedef enum
       {
          HORIZONTAL,
          VERTICAL
       }
    teOrientation;

    Sizeable(int w = -1,
             int h = -1,
             teAlignment wa = CENTER,
             teAlignment ha = CENTER);

    virtual unsigned int getMinWidth();
    virtual unsigned int getMinHeight();
    unsigned int getMinDim(teOrientation);

    int getWidth() const;
    int getHeight() const;
    int getDim(teOrientation) const;

    virtual teAlignment getWAlign() const;
    virtual teAlignment getHAlign() const;
    teAlignment getAlign(teOrientation) const;

    virtual void adjust(int, int, int, int) = 0;

    void setRH(int);
    int getRH() { return _rh; }

  protected:
    int _w, _h;
    teAlignment _wa, _ha;
    int _rh;

    void _compute(teOrientation, int&, int&);
};

#endif /* _SIZEABLE_H */
